## Summary of MiddleKit/Core.ModelUser

You can also browse the complete source file or the generated documentation.

    class ModelUser:

        ## Init ##
        def __init__(self)

        ## Settings ##
        def setting(self, name, default=NoDefault)

        ## Models ##
        def model(self)
        def setModel(self, model)
        def readModelFileNamed(self, filename, modelClass=None, **keywords)
        def modelWasSet(self)

        ## Mix-ins ##
        def installMixIns(self, verbose=0)
        def installMixInsForModule(self, module, verbose=0)

        ## Warning ##
        def warning(self, msg)

        ## Self utility ##
        def modulesForClass(self, pyClass, modules=None)